%global python3_pkgversion 3.11
%global pypi_name botocore
%global pypi_version 1.35.82

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        Low-level, data-driven core of boto 3

License:        Apache License 2.0
URL:            https://github.com/boto/botocore
Source:         %{pypi_source}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools >= 64
BuildRequires:  python%{python3_pkgversion}-setuptools_scm 
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-jmespath >= 0.7.1
BuildRequires:  python%{python3_pkgversion}-jmespath < 2.0.0
BuildRequires:  python%{python3_pkgversion}dist(awscrt) = 0.22
BuildRequires:  (python%{python3_pkgversion}dist(python-dateutil) >= 2.1 with python%{python3_pkgversion}dist(python-dateutil) < 3~~)
BuildRequires:  (python%{python3_pkgversion}dist(python-dateutil) < 3.0.0 with python%{python3_pkgversion}dist(python-dateutil) < 3~~)
BuildRequires:  (python%{python3_pkgversion}dist(urllib3) >= 1.25.4 with python%{python3_pkgversion}dist(urllib3) < 3~~)
BuildRequires:  (python%{python3_pkgversion}dist(urllib3) < 3 with python%{python3_pkgversion}dist(urllib3) < 3~~)
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
A low-level interface to a growing number of Amazon Web Services. The botocore package is the foundation for the AWS CLI as well as boto3.
Botocore is maintained and published by Amazon Web Services.}

%description %_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

Requires:       python%{python3_pkgversion}dist(awscrt) = 0.22
Requires:       python%{python3_pkgversion}dist(jmespath) >= 0.7.1
Requires:       python%{python3_pkgversion}dist(jmespath) < 2.0.0
Requires:       (python%{python3_pkgversion}dist(python-dateutil) >= 2.1 with python%{python3_pkgversion}dist(python-dateutil) < 3~~)
Requires:       (python%{python3_pkgversion}dist(python-dateutil) < 3.0.0 with python%{python3_pkgversion}dist(python-dateutil) < 3~~)
Requires:       (python%{python3_pkgversion}dist(urllib3) >= 1.25.4 with python%{python3_pkgversion}dist(urllib3) < 3~~)
Requires:       (python%{python3_pkgversion}dist(urllib3) < 3 with python%{python3_pkgversion}dist(urllib3) < 3~~)
Conflicts:      python%{python3_pkgversion}dist(urllib3) = 2.2.0

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files '*' +auto

%check
%{pytest} tests/unit

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt tests/unit/auth/aws4_testsuite/LICENSE
%doc README.rst docs/README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}.dist-info

%changelog
* Wed Mar 12 2025 Rafael Barron <rafael.barron@oracle.com> - 1.35.82-2
- Remove required patch version number from awscrt

* Thu Feb 6 2025 Carlos Heiras <carlos.heiras@oracle.com> - 1.35.82-1
- Update to 1.35.82

* Wed Jul 31 2024 David Sloboda <david.x.sloboda@oracle.com> - 1.34.99-1
- Initial package.
